Rated 1 out of 5 stars

Version 1.2.2 still does not work with FF4. It seems that the User-agent string still does not contain the .NET identification string.

This review is for a previous version of the add-on (1.2.2).